Index: user.c
===================================================================
RCS file: /cvsroot/src/usr.sbin/user/user.c,v
retrieving revision 1.129
diff -u -r1.129 user.c
--- user.c	1 Dec 2011 00:34:05 -0000	1.129
+++ user.c	28 Nov 2012 08:20:50 -0000
@@ -1579,6 +1579,12 @@
 					    login_name, up->u_uid);
 				}
 				pwp->pw_gid = pwp->pw_uid;
+				if (!creategid(newlogin, pwp->pw_uid, "")) {
+					errx(EXIT_FAILURE, 
+					    "Could not create group %s "
+					    "with uid %d", newlogin, 
+					    up->u_uid);
+				}
 			} else if ((grp = getgrnam(up->u_primgrp)) != NULL) {
 				pwp->pw_gid = grp->gr_gid;
 			} else if (is_number(up->u_primgrp) &&
